# Class DataSourceErrorComponent

#### Implements

- OnChanges
- OnInit
- OnDestroy

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:51

#####
Index

### Constructors

constructor

### Properties

_subscription?
environment
error?
errorMessage
isNotRelease
loading?
refresh?
reset?
resetInProgress
retry?
retryInProgress

### Accessors

dataSourceLike

### Methods

ngOnChanges
ngOnDestroy
ngOnInit
triggerReset
triggerRetry

## Constructors

### constructor

- new DataSourceErrorComponent(environment): DataSourceErrorComponent

- #### Parameters

  - environment: Environment

  #### Returns DataSourceErrorComponent

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:86

## Properties

### `Private` `Optional` _subscription

_subscription?: Subscription

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:84

### `Private` `Readonly` environment

environment: Environment

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:88

### `Optional` error

error?: unknown

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:54

### errorMessage

errorMessage: WritableSignal<string> = ...

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:79

### isNotRelease

isNotRelease: boolean = false

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:77

### `Optional` loading

loading?: boolean | Observable<boolean>

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:75

### `Optional` refresh

refresh?: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:57

### `Optional` reset

reset?: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:63

### resetInProgress

resetInProgress: WritableSignal<boolean> = ...

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:82

### `Optional` retry

retry?: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:60

### retryInProgress

retryInProgress: WritableSignal<boolean> = ...

- Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:81

## Accessors

### dataSourceLike

- set dataSourceLike(value): void

- #### Parameters

  - value: DataSourceLikeForErrorHandling

  #### Returns void

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:66

## Methods

### ngOnChanges

- ngOnChanges(changes): void

- #### Parameters

  - changes: SimpleChanges

  #### Returns void

  Implementation of OnChanges.ngOnChanges

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:93

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:106

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:110

### triggerReset

- triggerReset(): void

- #### Returns void

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:143

### triggerRetry

- triggerRetry(): void

- #### Returns void

  - Defined in packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:133